com.taosdata.jdbc.ws.loadbalance

## Class BgHealthCheck

- java.lang.Object
- - com.taosdata.jdbc.ws.loadbalance.BgHealthCheck

    public class BgHealthCheck
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BgHealthCheck(WSFunction wsFunction, ConnectionParam param, int index, InFlightRequest inFlightRequest)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRecoveryCmdCount()`
`void` `cleanUp()`
`Endpoint` `getEndpoint()`
`int` `getEndpointIndex()`
`InFlightRequest` `getInFlightRequest()`
`int` `getNextInterval()`
`ConnectionParam` `getParam()`
`int` `getRecoveryInterval()`
`long` `getResultId()`
`WSClient` `getWsClient()`
`boolean` `isCancelled()`
`boolean` `needMoreRetry()`
`void` `setCancelled()`
`void` `setResultId(long resultId)`
`void` `start()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BgHealthCheck

    public BgHealthCheck(WSFunction wsFunction,
                         ConnectionParam param,
                         int index,
                         InFlightRequest inFlightRequest)

### Method Detail

#### getResultId

    public long getResultId()

#### setResultId

    public void setResultId(long resultId)

#### start

    public void start()

#### cleanUp

    public void cleanUp()

#### getWsClient

    public WSClient getWsClient()

#### getParam

    public ConnectionParam getParam()

#### getEndpointIndex

    public int getEndpointIndex()

#### getEndpoint

    public Endpoint getEndpoint()

#### getRecoveryInterval

    public int getRecoveryInterval()

#### getInFlightRequest

    public InFlightRequest getInFlightRequest()

#### getNextInterval

    public int getNextInterval()

#### addRecoveryCmdCount

    public void addRecoveryCmdCount()

#### needMoreRetry

    public boolean needMoreRetry()

#### isCancelled

    public boolean isCancelled()

#### setCancelled

    public void setCancelled()